Source Google Sheets connection tests failed

  • Is this your first time deploying Airbyte?: Yes
  • OS Version / Instance: Windows
  • Memory / Disk: 8 GBs memory
  • Deployment: Docker
  • Airbyte Version: 0.40.6
  • Source name/version: Google Sheets
  • Destination name/version:
  • Step: Connection with a new source
  • Description: Connection tests failed. I’ve tried to connect via “Account service key” and “OAuth” but the error is the same. I made this same connection with Airbyte Cloud and it works there, however, I want it to work with Docker.

2022-09-17 05:52:28 INFO i.a.w.t.TemporalAttemptExecution(get):106 - Docker volume job log path: /tmp/workspace/5258520b-f28a-480d-9a7c-40df44efd38d/0/logs.log
2022-09-17 05:52:28 INFO i.a.w.t.TemporalAttemptExecution(get):111 - Executing worker wrapper. Airbyte version: 0.40.6
2022-09-17 05:52:28 INFO i.a.c.i.LineGobbler(voidCall):114 - 
2022-09-17 05:52:28 INFO i.a.c.i.LineGobbler(voidCall):114 - ----- START CHECK -----
2022-09-17 05:52:28 INFO i.a.c.i.LineGobbler(voidCall):114 - 
2022-09-17 05:52:28 INFO i.a.c.i.LineGobbler(voidCall):114 - Checking if airbyte/source-google-sheets:0.2.17 exists...
2022-09-17 05:52:28 INFO i.a.c.i.LineGobbler(voidCall):114 - airbyte/source-google-sheets:0.2.17 was found locally.
2022-09-17 05:52:28 INFO i.a.w.p.DockerProcessFactory(create):119 - Creating docker container = source-google-sheets-check-5258520b-f28a-480d-9a7c-40df44efd38d-0-gmkwz with resources io.airbyte.config.ResourceRequirements@3b825232[cpuRequest=<null>,cpuLimit=<null>,memoryRequest=<null>,memoryLimit=<null>]
2022-09-17 05:52:28 INFO i.a.w.p.DockerProcessFactory(create):163 - Preparing command: docker run --rm --init -i -w /data/5258520b-f28a-480d-9a7c-40df44efd38d/0 --log-driver none --name source-google-sheets-check-5258520b-f28a-480d-9a7c-40df44efd38d-0-gmkwz --network host -v airbyte_workspace:/data -v /tmp/airbyte_local:/local -e DEPLOYMENT_MODE=OSS -e USE_STREAM_CAPABLE_STATE=true -e WORKER_ENVIRONMENT=DOCKER -e AIRBYTE_ROLE= -e WORKER_CONNECTOR_IMAGE=airbyte/source-google-sheets:0.2.17 -e WORKER_JOB_ATTEMPT=0 -e AIRBYTE_VERSION=0.40.6 -e WORKER_JOB_ID=5258520b-f28a-480d-9a7c-40df44efd38d airbyte/source-google-sheets:0.2.17 check --config source_config.json
2022-09-17 05:52:36 WARN c.n.s.JsonMetaSchema(newValidator):338 - Unknown keyword existingJavaType - you should define your own Meta Schema. If the keyword is irrelevant for validation, just use a NonValidationKeyword
2022-09-17 05:52:37 ERROR i.a.w.i.DefaultAirbyteStreamFactory(internalLog):99 - Unable to find the server at oauth2.googleapis.com
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/httplib2/__init__.py", line 1343, in _conn_request
    conn.connect()
  File "/usr/local/lib/python3.9/site-packages/httplib2/__init__.py", line 1119, in connect
    address_info = socket.getaddrinfo(host, port, 0, socket.SOCK_STREAM)
  File "/usr/local/lib/python3.9/socket.py", line 954, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Try again
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/google_auth_httplib2.py", line 119, in __call__
    response, data = self.http.request(
  File "/usr/local/lib/python3.9/site-packages/httplib2/__init__.py", line 1701, in request
    (response, content) = self._request(
  File "/usr/local/lib/python3.9/site-packages/httplib2/__init__.py", line 1421, in _request
    (response, content) = self._conn_request(conn, request_uri, method, body, headers)
  File "/usr/local/lib/python3.9/site-packages/httplib2/__init__.py", line 1350, in _conn_request
    raise ServerNotFoundError("Unable to find the server at %s" % conn.host) 
httplib2.error.ServerNotFoundError: Unable to find the server at oauth2.googleapis.com
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/airbyte/integration_code/main.py", line 13, in <module>
    launch(source, sys.argv[1:])
  File "/usr/local/lib/python3.9/site-packages/airbyte_cdk/entrypoint.py", line 123, in launch
    for message in source_entrypoint.run(parsed_args):
  File "/usr/local/lib/python3.9/site-packages/airbyte_cdk/entrypoint.py", line 99, in run
    check_result = self.source.check(self.logger, config)
  File "/airbyte/integration_code/google_sheets_source/google_sheets_source.py", line 55, in check
    client.get(spreadsheetId=spreadsheet_id, includeGridData=False, ranges="1:1")
  File "/usr/local/lib/python3.9/site-packages/backoff/_sync.py", line 105, in retry
    ret = target(*args, **kwargs) 
  File "/airbyte/integration_code/google_sheets_source/client.py", line 27, in get
    return self.client.get(**kwargs).execute()
  File "/usr/local/lib/python3.9/site-packages/googleapiclient/_helpers.py", line 130, in positional_wrapper
    return wrapped(*args, **kwargs)
  File "/usr/local/lib/python3.9/site-packages/googleapiclient/http.py", line 923, in execute
    resp, content = _retry_request(
  File "/usr/local/lib/python3.9/site-packages/googleapiclient/http.py", line 191, in _retry_request
    resp, content = http.request(uri, method, *args, **kwargs)
  File "/usr/local/lib/python3.9/site-packages/google_auth_httplib2.py", line 209, in request
    self.credentials.before_request(self._request, method, uri, request_headers)
  File "/usr/local/lib/python3.9/site-packages/google/auth/credentials.py", line 133, in before_request
    self.refresh(request)
  File "/usr/local/lib/python3.9/site-packages/google/oauth2/service_account.py", line 410, in refresh
    access_token, expiry, _ = _client.jwt_grant(
  File "/usr/local/lib/python3.9/site-packages/google/oauth2/_client.py", line 217, in jwt_grant
    response_data = _token_endpoint_request(request, token_uri, body) 
  File "/usr/local/lib/python3.9/site-packages/google/oauth2/_client.py", line 185, in _token_endpoint_request
    response_status_ok, response_data = _token_endpoint_request_no_throw(
  File "/usr/local/lib/python3.9/site-packages/google/oauth2/_client.py", line 124, in _token_endpoint_request_no_throw
    response = request(
  File "/usr/local/lib/python3.9/site-packages/google_auth_httplib2.py", line 126, in __call__
    raise exceptions.TransportError(exc)
google.auth.exceptions.TransportError: Unable to find the server at oauth2.googleapis.com
2022-09-17 05:52:37 ERROR i.a.w.g.DefaultCheckConnectionWorker(run):96 - Error checking connection, status: Optional.empty, exit code: 1
2022-09-17 05:52:37 INFO i.a.w.t.TemporalAttemptExecution(get):132 - Stopping cancellation check scheduling...

Hello there! You are receiving this message because none of your fellow community members has stepped in to respond to your topic post. (If you are a community member and you are reading this response, feel free to jump in if you have the answer!) As a result, the Community Assistance Team has been made aware of this topic and will be investigating and responding as quickly as possible.
Some important considerations that will help your to get your issue solved faster:

  • It is best to use our topic creation template; if you haven’t yet, we recommend posting a followup with the requested information. With that information the team will be able to more quickly search for similar issues with connectors and the platform and troubleshoot more quickly your specific question or problem.
  • Make sure to upload the complete log file; a common investigation roadblock is that sometimes the error for the issue happens well before the problem is surfaced to the user, and so having the tail of the log is less useful than having the whole log to scan through.
  • Be as descriptive and specific as possible; when investigating it is extremely valuable to know what steps were taken to encounter the issue, what version of connector / platform / Java / Python / docker / k8s was used, etc. The more context supplied, the quicker the investigation can start on your topic and the faster we can drive towards an answer.
  • We in the Community Assistance Team are glad you’ve made yourself part of our community, and we’ll do our best to answer your questions and resolve the problems as quickly as possible. Expect to hear from a specific team member as soon as possible.

Thank you for your time and attention.
Best,
The Community Assistance Team

The error looks a dns problem. Does the Airbyte instance has access to the internet? The error keep happening?